---
id: principles_cryptographic_protocols
title: Cryptographic Protocols
sidebar_label: Cryptographic Protocols
---

Arguably this topic could require its own entire workshop. In light of that, here's a quick table with some
highlights of things you might care to know:

| Protocol        | Document | Deprecated                              |
|-----------------|----------|-----------------------------------------|
| SSL Version 2.0 | [Draft](https://tools.ietf.org/html/draft-hickman-netscape-ssl-00) | [March 2011 RFC 6176](https://tools.ietf.org/html/rfc6176) |
| SSL Version 3.0 | [RFC 6101](https://tools.ietf.org/html/rfc6101)                    | [June 2015 RFC 7568](https://tools.ietf.org/html/rfc7568)                      |
| TLS 1.0         | [RFC 2246](https://tools.ietf.org/html/rfc2246)                    | [May 2015 RFC 7568](https://tools.ietf.org/html/rfc7525#section-3.1.1) <br/> [June 2018 PCI DSS](https://blog.pcisecuritystandards.org/are-you-ready-for-30-june-2018-sayin-goodbye-to-ssl-early-tls) |
| TLS 1.1         | [RFC 4346](https://tools.ietf.org/html/rfc4346)                    | First half 2020 <br/> [Apple](https://webkit.org/blog/8462/deprecation-of-legacy-tls-1-0-and-1-1-versions/), [Google](https://security.googleblog.com/2018/10/modernizing-transport-security.html) [Microsoft](https://blogs.windows.com/msedgedev/2018/10/15/modernizing-tls-edge-ie11/) |
| TLS 1.2         | [RFC 5446](https://tools.ietf.org/html/rfc5246)                    |                                         |
| TLS 1.3         | [RFC 8446](https://tools.ietf.org/html/rfc8446)                    |                                         |

